import { ReactNode } from 'react';
import { Viewport, PanOnScrollMode, KeyCode } from '../../types';
interface ZoomPaneProps {
    selectionKeyPressed: boolean;
    elementsSelectable?: boolean;
    zoomOnScroll?: boolean;
    zoomOnPinch?: boolean;
    panOnScroll?: boolean;
    panOnScrollSpeed?: number;
    panOnScrollMode?: PanOnScrollMode;
    zoomOnDoubleClick?: boolean;
    paneMoveable?: boolean;
    defaultPosition?: [number, number];
    defaultZoom?: number;
    onMove?: (viewport?: Viewport) => void;
    onMoveStart?: (viewport?: Viewport) => void;
    onMoveEnd?: (viewport?: Viewport) => void;
    zoomActivationKeyCode?: KeyCode;
    preventScrolling?: boolean;
    children: ReactNode;
    noWheelClassName: string;
    noPanClassName: string;
}
declare const ZoomPane: ({ onMove, onMoveStart, onMoveEnd, zoomOnScroll, zoomOnPinch, panOnScroll, panOnScrollSpeed, panOnScrollMode, zoomOnDoubleClick, selectionKeyPressed, elementsSelectable, paneMoveable, defaultPosition, defaultZoom, zoomActivationKeyCode, preventScrolling, children, noWheelClassName, noPanClassName, }: ZoomPaneProps) => JSX.Element;
export default ZoomPane;
