import { GetState } from 'zustand';
import { CoordinateExtent, Edge, EdgeSelectionChange, Node, NodeDimensionChange, NodeInternals, NodeSelectionChange, ReactFlowState, XYPosition } from '../types';
export declare function createNodeInternals(nodes: Node[], nodeInternals: NodeInternals): NodeInternals;
export declare function isParentSelected(node: Node, nodeInternals: NodeInternals): boolean;
declare type CreatePostiionChangeParams = {
    node: Node;
    nodeExtent: CoordinateExtent;
    nodeInternals: NodeInternals;
    diff?: XYPosition;
    dragging?: boolean;
};
export declare function createPositionChange({ node, diff, dragging, nodeExtent, nodeInternals, }: CreatePostiionChangeParams): NodeDimensionChange;
export declare function fitView(get: GetState<ReactFlowState>): boolean;
export declare function handleControlledNodeSelectionChange(nodeChanges: NodeSelectionChange[], nodeInternals: NodeInternals): Map<string, Node<any>>;
export declare function handleControlledEdgeSelectionChange(edgeChanges: EdgeSelectionChange[], edges: Edge[]): Edge<any>[];
export {};
